%define contentdir /var/www
Summary: ht://Dig - Web search engine
Name: htdig
Version: 3.1.5
Release: 6
Copyright: GPL
Group: Applications/Internet
Source0: http://www.htdig.org/files/%{name}-%{version}.tar.gz
Patch0: htdig-3.1.5-rh.patch
BuildRoot: %{_tmppath}/%{name}-root
Url: http://www.htdig.org/

%description
The ht://Dig system is a complete world wide web indexing and searching
system for a small domain or intranet. This system is not meant to replace
the need for powerful internet-wide search systems like Lycos, Infoseek,
Webcrawler and AltaVista. Instead it is meant to cover the search needs for
a single company, campus, or even a particular sub section of a web site. As
opposed to some WAIS-based or web-server based search engines, ht://Dig can
span several web servers at a site. The type of these different web servers
doesn't matter as long as they understand the HTTP 1.0 protocol.

ht://Dig was developed at San Diego State University as a way to search the
various web servers on the campus network.

%prep
%setup  -q
%patch0 -p1 -b .rh
autoconf

%build
%configure \
	--localstatedir=/var/lib/htdig \
	--with-cgi-bin-dir=%{contentdir}/cgi-bin \
	--with-image-dir=%{contentdir}/html/htdig \
	--with-search-dir=%{contentdir}/html/htdig 
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
	#CONFIG_DIR=$RPM_BUILD_ROOT/etc \
	#COMMON_DIR=$RPM_BUILD_ROOT/home/httpd/html/htdig \
	#DATABASE_DIR=$RPM_BUILD_ROOT/var/lib/htdig \
	#CGIBIN_DIR=$RPM_BUILD_ROOT/home/httpd/cgi-bin \
	#IMAGE_DIR=$RPM_BUILD_ROOT/home/httpd/html/htdig \
	#SEARCH_DIR=$RPM_BUILD_ROOT/home/httpd/html/htdig

strip $RPM_BUILD_ROOT%{contentdir}/cgi-bin/* || :
strip $RPM_BUILD_ROOT/usr/bin/* || :

chmod 644 $RPM_BUILD_ROOT%{contentdir}/html/htdig/*
ln -sf search.html $RPM_BUILD_ROOT%{contentdir}/html/htdig/index.html
# now get rid of the $RPM_BUILD_ROOT paths in the conf files
for i in /etc/htdig.conf /usr/bin/rundig ; do
	perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc htdoc/*
%config /etc/htdig.conf
%config %{contentdir}/html/htdig/*.html
%config %{contentdir}/html/htdig/bad_words
%dir /var/lib/htdig
%dir %{contentdir}/html/htdig
%{_bindir}/*
%{contentdir}/html/htdig/english*
%{contentdir}/html/htdig/synonyms
%{contentdir}/html/htdig/*.gif
%{contentdir}/html/htdig/*.png
%{contentdir}/cgi-bin/*

%changelog
* Sat Aug 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error introduced in our patch (#16598)

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed group to be a valid one

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for Power Tools

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for Power Tools

* Sat Feb 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- 3.1.5

* Wed Jan 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.1.4
- fix URL and source location

* Tue Sep 28 1999 Preston Brown <pbrown@redhat.com>
- 3.1.3 for SWS 3.1

* Wed May 05 1999 Preston Brown <pbrown@redhat.com>
- updates for SWS 3.0

* Mon Aug 31 1998 Preston Brown <pbrown@redhat.com>
- Updates for SWS 2.0

* Sat Feb 07 1998 Cristian Gafton <gafton@redhat.com>
- built against glibc
- build all the fuzzy databases before packaging, because it is time
  consuming operation and we don't want the user to be impatient
